Cyberduck Mountain Duck CLI

#5447 closed defect (worksforme)

Empty directory listing

Reported by: https://www.google.com/accounts/o8/id?id=aitoawmglb-nyqpi4kk-l-pkejxi-hupuz7iysq Owned by: dkocher
Priority: normal Milestone: 3.8
Component: googledrive Version: 3.7
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.6

Description

Version 3.7 (7380) can no longer list the files on my google doc account, previous versions worked fine.

This happened on Mac. The same happened with Windows version, but I don't recall the version at the moment (it was the latest).

Change History (9)

comment:1 Changed on Nov 20, 2010 at 7:19:32 AM by https://www.google.com/accounts/o8/id?id=aitoawmglb-nyqpi4kk-l-pkejxi-hupuz7iysq

log:

Authorization: <Not Logged>
User-Agent: Cyberduck-3.7 (7380) GDocs-Java/3.0.0 GData-Java/1.40.2(gzip)
Accept-Encoding: gzip
GData-Version: 3.0
200 OK
null: HTTP/1.1 200 OK
GData-Version: 3.0
ETag: W/"****"
X-XSS-Protection: 1; mode=block
Expires: Sat, 20 Nov 2010 07:14:56 GMT
Last-Modified: Sat, 20 Nov 2010 07:14:55 GMT
Server: GSE
X-Content-Type-Options: nosniff
Cache-Control: private, max-age=0, must-revalidate, no-transform
X-Frame-Options: SAMEORIGIN
Transfer-Encoding: chunked
Vary: Accept, X-GData-Authorization, GData-Version
Date: Sat, 20 Nov 2010 07:14:56 GMT
Content-Encoding: gzip
Content-Type: application/atom+xml; charset=UTF-8; type=feed
Authorization: <Not Logged>
User-Agent: Cyberduck-3.7 (7380) GDocs-Java/3.0.0 GData-Java/1.40.2(gzip)
Accept-Encoding: gzip
GData-Version: 3.0
200 OK
null: HTTP/1.1 200 OK
GData-Version: 3.0
ETag: W/"**********."
X-XSS-Protection: 1; mode=block
Expires: Sat, 20 Nov 2010 07:14:56 GMT
Last-Modified: Sat, 20 Nov 2010 07:14:56 GMT
Server: GSE
X-Content-Type-Options: nosniff
Cache-Control: private, max-age=0, must-revalidate, no-transform
X-Frame-Options: SAMEORIGIN
Transfer-Encoding: chunked
Vary: Accept, X-GData-Authorization, GData-Version
Date: Sat, 20 Nov 2010 07:14:56 GMT
Content-Encoding: gzip
Content-Type: application/atom+xml; charset=UTF-8; type=feed

Last edited on Nov 20, 2010 at 8:05:41 AM by dkocher (previous) (diff)

comment:2 Changed on Nov 20, 2010 at 7:24:46 AM by https://www.google.com/accounts/o8/id?id=aitoawmglb-nyqpi4kk-l-pkejxi-hupuz7iysq

reverted back to Version 3.6.1 (6900) and it works perfectly.

comment:3 Changed on Nov 20, 2010 at 8:04:45 AM by dkocher

  • Milestone set to 4.0
  • Resolution set to duplicate
  • Status changed from new to closed

I suppose this is a duplicate of #5411. Please login with your email address as a username.

comment:4 Changed on Nov 20, 2010 at 8:33:47 AM by https://www.google.com/accounts/o8/id?id=aitoawmglb-nyqpi4kk-l-pkejxi-hupuz7iysq

I logined using my email, still refering to me by my openID I see that you closed #5411 without providing solution, do you need any additional logs or anything else to help you to reproduce the problem?

comment:5 Changed on Nov 20, 2010 at 9:50:24 AM by dkocher

  • Resolution duplicate deleted
  • Status changed from closed to reopened

Can you enable debug logging and send me the output after attempting a connection.

comment:6 Changed on Nov 20, 2010 at 10:02:59 PM by dkocher

  • Summary changed from google doc connection to Empty directory listing

comment:7 Changed on Nov 28, 2010 at 9:34:18 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

I need the log output to take any action on this.

comment:8 follow-up: Changed on Nov 28, 2010 at 10:14:33 PM by https://www.google.com/accounts/o8/id?id=aitoawmglb-nyqpi4kk-l-pkejxi-hupuz7iysq

Looking to the log, I figured out the problem In previous version I used the user name "abdelhalim" and this was working fine. Latest version, the user name "abdelhalim" caused the below log messages:

Nov 28 14:02:19 silverbook [0x0-0x40a40a].ch.sudo.cyberduck[7548]: 2010-11-28 14:02:19,421 [pool-1-thread-3] DEBUG ch.cyberduck.core.gdocs.GDPath - Resource:spreadsheet:0Asa_9u2T2POacENUX0Y4X3BNcWpGbXRXUy0wYk5sTlE
Nov 28 14:02:19 silverbook [0x0-0x40a40a].ch.sudo.cyberduck[7548]: 2010-11-28 14:02:19,421 [pool-1-thread-3] DEBUG ch.cyberduck.core.gdocs.GDPath - Author of document spreadsheet:0Asa_9u2T2POacENUX0Y4X3BNcWpGbXRXUy0wYk5sTlE:abdelhalim@gmail.com
Nov 28 14:02:19 silverbook [0x0-0x40a40a].ch.sudo.cyberduck[7548]: 2010-11-28 14:02:19,421 [pool-1-thread-3] WARN  ch.cyberduck.core.gdocs.GDPath - Skip document with different owner

Changing the user name to the full email address "abdelhalim@…" solved the issue.

Is this an intentional change?

Last edited on Nov 29, 2010 at 10:40:39 AM by dkocher (previous) (diff)

comment:9 in reply to: ↑ 8 Changed on Nov 29, 2010 at 10:41:25 AM by dkocher

Replying to https://www.google.com/accounts/o8/id?id=aitoawmglb-nyqpi4kk-l-pkejxi-hupuz7iysq:

Looking to the log, I figured out the problem In previous version I used the user name "abdelhalim" and this was working fine. Latest version, the user name "abdelhalim" caused the below log messages:

Nov 28 14:02:19 silverbook [0x0-0x40a40a].ch.sudo.cyberduck[7548]: 2010-11-28 14:02:19,421 [pool-1-thread-3] DEBUG ch.cyberduck.core.gdocs.GDPath - Resource:spreadsheet:0Asa_9u2T2POacENUX0Y4X3BNcWpGbXRXUy0wYk5sTlE
Nov 28 14:02:19 silverbook [0x0-0x40a40a].ch.sudo.cyberduck[7548]: 2010-11-28 14:02:19,421 [pool-1-thread-3] DEBUG ch.cyberduck.core.gdocs.GDPath - Author of document spreadsheet:0Asa_9u2T2POacENUX0Y4X3BNcWpGbXRXUy0wYk5sTlE:abdelhalim@gmail.com
Nov 28 14:02:19 silverbook [0x0-0x40a40a].ch.sudo.cyberduck[7548]: 2010-11-28 14:02:19,421 [pool-1-thread-3] WARN  ch.cyberduck.core.gdocs.GDPath - Skip document with different owner

Changing the user name to the full email address "abdelhalim@…" solved the issue.

Is this an intentional change?

This is intentional because of ACL issues. From my point of view the login with the username only should fail.

Note: See TracTickets for help on using tickets.
swiss made software